package com.red.circle.other.app.inner.service.live;

import com.red.circle.other.inner.model.cmd.live.RoomBlacklistQryCmd;
import com.red.circle.other.inner.model.dto.live.MicBlockDTO;
import com.red.circle.other.inner.model.dto.live.RoomUserBlacklistDTO;
import java.util.List;

/**
 * 房间黑名单 服务.
 *
 * @author pengliang on 2023/8/11
 */
public interface RoomUserBlacklistClientService {

  /**
   * 移除黑名单.
   */
  void removeBlack(Long roomId, Long cmdOriginUserId);

  /**
   * 添加黑名单.
   */
  void add(RoomUserBlacklistDTO dto);

  /**
   * 获取黑名单信息.
   */
  List<RoomUserBlacklistDTO> listOps(RoomBlacklistQryCmd qryCmd);

  /**
   * 处理幽灵麦用户.
   */
  void bannedLiveUser(MicBlockDTO dto);
}
